build: remove coveralls from devDependencies

parent 90f11c43
...@@ -8,3 +8,4 @@ matrix: ...@@ -8,3 +8,4 @@ matrix:
- node_js: "0.11" - node_js: "0.11"
fast_finish: true fast_finish: true
script: "npm run-script test-travis" script: "npm run-script test-travis"
after_script: "npm install coveralls@2.10.0 && cat ./coverage/lcov.info | coveralls"
...@@ -54,7 +54,6 @@ ...@@ -54,7 +54,6 @@
"multiparty": "2.2.0" "multiparty": "2.2.0"
}, },
"devDependencies": { "devDependencies": {
"coveralls": "2.10.0",
"istanbul": "0.2.10", "istanbul": "0.2.10",
"mocha": "~1.19.0", "mocha": "~1.19.0",
"should": "~3.3.1", "should": "~3.3.1",
...@@ -69,6 +68,6 @@ ...@@ -69,6 +68,6 @@
"scripts": { "scripts": {
"test": "mocha --reporter dot", "test": "mocha --reporter dot",
"test-cov": "istanbul cover node_modules/mocha/bin/_mocha -- --reporter dot", "test-cov": "istanbul cover node_modules/mocha/bin/_mocha -- --reporter dot",
"test-travis": "istanbul cover node_modules/mocha/bin/_mocha --report lcovonly -- --reporter spec && (cat ./coverage/lcov.info | coveralls || true)" "test-travis": "istanbul cover node_modules/mocha/bin/_mocha --report lcovonly -- --reporter spec"
} }
} }
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment